<section class="position-relative py-2 py-xl-3" id="login">
    <div class="container">
        <div class="row d-flex justify-content-center">
            <div class="bs-icon-xl bs-icon-circle bs-icon-primary bs-icon my-4 d-flex justify-content-center">
                <img src="../../../assets/images/logos/alfa.png" width=300px alt="logo">
            </div>
            <div class="col-sm-8 col-md-6 col-xl-3">
                <div class="card mb-5 containerLogin">
          
                        <form class="text-center" [formGroup]="recuperarForm" (ngSubmit)="recuperar()" method="post" novalidate >
                            <div class="mb-2" >
                                <input type="email" class="form-control" formControlName="email" name="email" placeholder="E-mail" required>
                            </div>
                            <div class="mensajeValidacion" *ngIf="recuperarForm.get('email')?.errors && (recuperarForm.get('email')?.dirty || recuperarForm.get('email')?.touched)">
                                <div *ngIf="recuperarForm.get('email').errors?.['required']">Campo obligatorio</div>
                                <div *ngIf="recuperarForm.get('email').errors?.['email']">Mail no válido</div>
                            </div>
                            
                            <div class="mb-2">
                                <button class="btn btn-primary d-block w-100" type="submit">Recuperar</button>
                            </div>
                            <div class="mb-3">
                                <button class="btn btn-outline-primary d-block w-100" type="button" routerLink="/auth/login">Volver</button>
                            </div>
                        </form>
                </div>
            </div>
        </div>
    </div>
</section>